6.0.0-git
2019-03-23

[#10110] PECL Imagick - undefined method Imagick::getIteratorIndex()
Summary PECL Imagick - undefined method Imagick::getIteratorIndex()
Queue Horde Base
Queue Version 4.0.3
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester it (at) wenn (dot) com
Created 2011-05-20 (2864 days ago)
Due
Updated 2011-05-23 (2861 days ago)
Assigned 2011-05-20 (2864 days ago)
Resolved 2011-05-23 (2861 days ago)
Milestone
Patch No

History
2011-05-23 17:04:54 Michael Rubinsky Comment #8
State ⇒ Resolved
Reply to this comment
Added note in INSTALL and added a test in horde/lib/Test.php

http://lists.horde.org/archives/commits/2011-May/009503.html
2011-05-20 17:24:09 it (at) wenn (dot) com Comment #7 Reply to this comment
Ok works all well with the latest RPM of Imagik/MagickWand
Mabey also add a check to the Horde test script to see if min version 
is correct.

Thanks
2011-05-20 17:06:59 Michael Rubinsky Comment #6
State ⇒ Assigned
Reply to this comment
assigning for addition of note in install and possibly an is_callable check
2011-05-20 17:02:21 Michael Rubinsky Comment #5 Reply to this comment
When i view an email that has multipage PDF files attached it causes 
Horde to crash as there is no try{} in the code,
FWIW a try wouldn't help. This is a fatal error, not a catchable exception.
2011-05-20 16:59:44 Michael Rubinsky Comment #4
State ⇒ Not A Bug
Reply to this comment
version 6.2.9 or better is required for that method. See 
HTTP://php.net/imagick

I thought there was a note in INSTALL about minimum versions but I 
don't see it now. I'll make sure to add again...
2011-05-20 16:55:54 it (at) wenn (dot) com Comment #3 Reply to this comment
ImageMagick-6.2.8.0-4.el5_5.3.x86_64
2011-05-20 16:48:33 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
what version of imagemagick does your system have installed?
2011-05-20 16:11:11 it (at) wenn (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ PECL Imagick - undefined method Imagick::getIteratorIndex()
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
There seems to be a problem in the latest 3.0.1 and 3.0.1b1 PECL 
modules for Imagick. Ive posted bug report to PECL.
http://pecl.php.net/bugs/bug.php?id=22716

When i view an email that has multipage PDF files attached it causes 
Horde to crash as there is no try{} in the code, ive had to turn off 
native PECL for image manipulation and use CLI based instead and now 
its working.

PHP Fatal error:  Call to undefined method Imagick::getIteratorIndex() 
in /usr/share/pear/Horde/Image/Imagick.php on line 636, referer: 
http://mail.wenn.com/imp/mailbox.php?mailbox=INBOX&newmail=1&page=1

Saved Queries